Subject: Process parameters

From: Vipul Singhal <[email-masked]>
Date: Wed, 16 Jul 1997 03:48:15 -0500

Hello all,

          I have a doubt regarding the method for obtaining the curves
by simulation as outlined in IBIS  COOKBOOK. The cookbook says ( under
the  section  3.3.1  :  "OBTAINING CURVES  BY SIMULATION -  Simulation
Specifics" ) that :

       "For both the rise/fall   time and I-V curve measurements,
        use "typical" process parameters."

        "For CMOS:
        min = min VCC, max temperature, typ process parameters
                                        ---
        max = max VCC, min temperature, typ process parameters"
                                        ---

Later it says that  " To account for  process variation, decrease  the
current  values taken at  min conditions,  increase the current values
taken  at max, and   derate  the rise  and  fall  time values  by  the
appropriate percentages. "

	This seems to be a  roundabout way of doing  it.  Why can't we
directly  use  "typ" ,  "min"   ,  and  "max" process  parameters,  as
appropriate, directly in  the simulations ?  For  example, if SPICE is
used for  simulation, we can   have three different SPICE  models  for
transistors,  corresponding  to the  process-variation  corners.   Why
should "typical" be used in each case ?

Regards,
Vipul K. Singhal
Texas Instruments

---

From: [email-masked] (Hoang Nguyen)
Date: Wed, 16 Jul 97 08:46:36 EDT

Hello Vipul,

Since we create our IBIS models from SPICE data, we would use
"typ", "min", "max" process parameters if we have them all.
Usually, the customers require us to have all the process-
variation corners in the model.

So I think the cookbook can include the case of "min", and "max"
as well as "typ".

Regards,

Hoang Nguyen
Mitsubishi Semiconductor America, Inc.

> From [email-masked] Wed Jul 16 05:50:44 1997
> Date: Wed, 16 Jul 1997 03:48:15 -0500
> From: Vipul Singhal <[email-masked]>
> Mime-Version: 1.0
> Content-Type> : > text/plain> ; > charset=us-ascii> 
> Content-Transfer-Encoding: 7bit
> To: [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> Subject: Process parameters 
> X-Mailer: VM 6.30 under 19.15 XEmacs Lucid
> Content-Length: 1268
> 
> 
> Hello all,
>

---

From: Andy Ingraham <[email-masked]>
Date: Wed, 16 Jul 97 09:58:57 EDT

Vipul,

I have no idea why it says what it does in the cookbook.  But I think
you should always use best/worst case process models if you have them. 

If you don't have them, then you may need to fudge them by tweaking
the typical process curves.  This may be the case if you are
characterizing actual devices where almost everything is typical.

The IBIS spec itself (version 2.1) also has some discussion about
using "typical process, minus 'X%'" and "typical process, plus 'X%'." 
As far as I am concerned, you should ignore such wording and just do
the right thing.  Use your min and max process parameters.

Regards,
Andy

---

From: Arpad Muranyi <[email-masked]>
Date: Wed, 16 Jul 97 08:13:00 PDT

Text item: 

To all,

The reason we originally wrote those guidelines in the "notes on data derivation
method" section was this:

Many times the process files describe the absolute worst cases which result in 
very large variations.  Most often such worst case conditions do not exist in 
real life.

When you are working on a high speed system, you might not find a solution using
such models.  This is why we choose to recommend to use the typical process with
temperature and supply variations only.

The extra guardbanding factor is there to provide for additional derating which 
is to account for the process variations.  You might ask why, if you could do 
the same with using the best and worst case process files.  These guardbanding 
factors can be chosen so that your model would be more realistic than using the 
absolute best and worst case process files.

For example, if your process files are made for 6 sigma variations, but you want
only 3 sigma models, you can come up with a derating factor to make 3 sigma 
models using the typical process with voltage and temperature + derating factor.

Of course, if you have a 3 sigma process file, you could just use them to 
convert to IBIS format without using the derating factor.  It is really up to 
you which method you chose.  The whole point is that we want to provide the 
means to be able to make realistic models for the devices.

Arpad Muranyi
Intel Corporation
=============================================================================
Hello Vipul,

Regards,

Hoang Nguyen

> should "typical" be used in each case ?

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Cc: [email-masked], [email-masked]
Subject: Re: Process parameters
To: [email-masked], [email-masked]
From: [email-masked] (Hoang Nguyen)
Date: Wed, 16 Jul 97 08:46:36 EDT
.6.12/8.6.12) with SMTP id IAA00556; Wed, 16 Jul 1997 08:50:37 -0400
Received: from unknown(198.28.5.20) by gatekeeper.msai.mea.com via smap (V1.3)
     id sma010065; Wed Jul 16 08:43:01 1997
Received: (from uucp@localhost) by gatekeeper.msai.mea.com (8.6.12/8.6.12) id IA
A10081; Wed, 16 Jul 1997 08:43:23 -0400
Received: from gatekeeper.msai.mea.com by acy1hp03.mea.com with ESMTP
     (8.7.1/16.2) id FAA02443; Wed, 16 Jul 1997 05:40:44 -0700 (PDT)
Received: from acy1hp03.mea.com (acy1hp03.mea.com [208.145.189.35]) by server.vh
dl.org (8.8.5/8.8.3) with ESMTP id FAA16570 for <[email-masked]>; Wed, 16 J
ul 1997 05:47:59 -0700 (PDT)
Received: from server.vhdl.org (server.vhdl.org [198.31.14.3])
          by mailbag.jf.intel.com (8.8.6/8.8.4) with ESMTP
       id GAA17896; Wed, 16 Jul 1997 06:06:02 -0700 (PDT)
Received: from mailbag.jf.intel.com by relay.hf.intel.com with smtp
     (Smail3.1.28.1 #2) id m0woTl4-000qDJC; Wed, 16 Jul 97 06:04 PDT